CREATE OR REPLACE PROCEDURE INSERT_TARGET_OBJECT(
 p_id IN varchar2,
 p_ITEM_SCHEME_ID IN number,
 p_MDT_ID IN number,
 p_TYPE IN varchar2,
 p_pk OUT  number)
IS
BEGIN
	 INSERT_COMPONENT_COMMON(p_pk);
		insert into TARGET_OBJECT (TARGET_OBJ_ID,ID,ITEM_SCHEME_ID,MDT_ID,TYPE) VALUES (p_pk,p_id,p_ITEM_SCHEME_ID,p_MDT_ID,p_TYPE);
END;
/
;
